summaryrefslogtreecommitdiff
path: root/tests/run-debuginfod-find-metadata.sh
diff options
context:
space:
mode:
authorFrank Ch. Eigler <fche@redhat.com>2023-04-12 09:37:34 -0400
committerFrank Ch. Eigler <fche@redhat.com>2023-04-12 09:37:34 -0400
commite854dc24badddba8bf4209bf45dfeddb7e9858ae (patch)
tree3ac471705c64f919f136dc33849f24fe1b01bc9a /tests/run-debuginfod-find-metadata.sh
parent53c0742d1840957ccf61a69edd9d0196035fb636 (diff)
downloadelfutils-e854dc24badddba8bf4209bf45dfeddb7e9858ae.tar.gz
makefile compatibility tweak
Diffstat (limited to 'tests/run-debuginfod-find-metadata.sh')
-rwxr-xr-xtests/run-debuginfod-find-metadata.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/tests/run-debuginfod-find-metadata.sh b/tests/run-debuginfod-find-metadata.sh
index 9ac396ad..81a5732b 100755
--- a/tests/run-debuginfod-find-metadata.sh
+++ b/tests/run-debuginfod-find-metadata.sh
@@ -26,6 +26,8 @@ type curl 2>/dev/null || { echo "need curl"; exit 77; }
type jq 2>/dev/null || { echo "need jq"; exit 77; }
pkg-config json-c libcurl || { echo "one or more libraries are missing (libjson-c, libcurl)"; exit 77; }
+debuginfod-find --help 2>&1 | grep metadata || (echo "compiled without metadata support"; exit 77)
+
DB=${PWD}/.debuginfod_tmp.sqlite
export DEBUGINFOD_CACHE_PATH=${PWD}/.client_cache